### Hierarchy

- PromisedOwnPropertyDescriptor

### Callable

- __call(name: string, descriptor: PropertyDescriptor, message?: undefined | string): PromisedAssertion
- __call(name: string, message?: undefined | string): PromisedAssertion

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:198

  #### Parameters

  - ##### name: string

  - ##### descriptor: PropertyDescriptor

  - ##### Optional message: undefined | string

  #### Returns PromisedAssertion

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:199

  #### Parameters

  - ##### name: string

  - ##### Optional message: undefined | string

  #### Returns PromisedAssertion

Generated using TypeDoc